Page MenuHomePhabricator

Move hook handlers into own classes (repo)
Closed, InvalidPublic

Description

The Wikibase.hooks.php file consists of 1344 lines. This is way too much and the hooks should be split into several hook classes. Ideally the hooks in Wikibase.hooks.php must not be edited any more once they are added.


Version: unspecified
Severity: normal
Whiteboard: u=dev c=backend p=0
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=65700

Details

Reference
bz65701

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:18 AM
bzimport set Reference to bz65701.
bzimport added a subscriber: Unknown Object (MLST).
Bene created this task.May 23 2014, 10:12 PM
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2015, 7:23 PM
samuwmde closed this task as Invalid.Feb 15 2018, 4:48 PM
samuwmde added a subscriber: samuwmde.

No one did that the last 3 years, so we closed it.